﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace YTManager.Models {
    public class Channel {
        // Uniquie ID for this media type
        [Key]
        public long PrimaryKey { get; set; }

        // Title of the media
        [Required]
        public string Title { get; set; }

        // Short description of the media
        [Required]
        public string Description { get; set; }

        // Thumbnail link
        [Required]
        public string ThumbnailURL { get; set; }

        // Youtube Channel ID
        [Required]
        public string YoutubeID { get; set; }

        // Added to this manager.
        [Required]
        public DateTime AddedtoDB { get; set; }

        //! Last time this channel was updated.
        [Required]
        public DateTime Refreshed { get; set; }

        // Videos this channel has.
        [Required]
        public List<Video> Videos { get; set; }

        // Tags attached to this channel by user.
        [Required]
        public string[] UserTags { get; set; }
    }
}
