﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace YTManager.Models {
    public class Video {
        // Uniquie ID for this media type
        [Key]
        public long PrimaryKey { get; set; }

        // Title of the media
        [Required]
        public string Title { get; set; }

        // Short description of the media
        [Required]
        public string Description { get; set; }

        // Youtube Video ID
        [Required]
        public string YoutubeID { get; set; }

        // Thumbnail link
        [Required]
        public string ThumbnailURL { get; set; }

        // Date video was uploaded to YT
        [Required]
        public DateTime AddedToYT { get; set; }

        // Date added to database
        [Required]
        public DateTime AddedtoDB { get; set; }

        // How long the video is
        [Required]
        public TimeSpan Duration { get; set; }

        // What channel this video comes from.
        [Required]
        public Channel Channel { get; set; }

        // Tag this video applies to.
        [Required]
        public string[] Tags { get; set; }
    }
}
